UMAD_ADDR_DUMP(3)

NAME
umad_addr_dump - dump addr structure to stderr

SYNOPSIS
#include <infiniband/umad.h>

void umad_addr_dump(ib_mad_addr_t *addr);

DESCRIPTION
umad_addr_dump() dumps the given addr to stderr. The argument addr is an ib_mad_addr_t struct, as specified in <infiniband/umad.h>.

typedef struct ib_mad_addr {
uint32_t qpn;
uint32_t qkey;
uint16_t lid;
uint8_t  sl;
uint8_t  path_bits;
uint8_t  grh_present;
uint8_t  gid_index;
uint8_t  hop_limit;
uint8_t  traffic_class;
uint8_t  gid[16];
uint32_t flow_label;
} ib_mad_addr_t;

RETURN VALUE
umad_addr_dump() returns no value.

AUTHOR

Hal Rosenstock <halr@voltaire.com>